Skip to main content
POST
/
v2
/
report
/
extractPII
/
download
Download Extract PII files
curl --request POST \
  --url https://api.uat.frankie.one/v2/report/extractPII/download \
  --header 'Content-Type: application/json' \
  --header 'X-Frankie-CustomerID: <x-frankie-customerid>' \
  --header 'X-Frankie-RequestID: <x-frankie-requestid>' \
  --header 'api_key: <api-key>' \
  --data '
{
  "jobId": "<string>",
  "password": "SecureP@ssw0rd123"
}
'
import requests

url = "https://api.uat.frankie.one/v2/report/extractPII/download"

payload = {
    "jobId": "<string>",
    "password": "SecureP@ssw0rd123"
}
headers = {
    "api_key": "<api-key>",
    "X-Frankie-RequestID": "<x-frankie-requestid>",
    "X-Frankie-CustomerID": "<x-frankie-customerid>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {
    api_key: '<api-key>',
    'X-Frankie-RequestID': '<x-frankie-requestid>',
    'X-Frankie-CustomerID': '<x-frankie-customerid>',
    'Content-Type': 'application/json'
  },
  body: JSON.stringify({jobId: '<string>', password: 'SecureP@ssw0rd123'})
};

fetch('https://api.uat.frankie.one/v2/report/extractPII/download', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


"<string>"

Authorizations

api_key
string
header
required

Headers

api_key
string
required

Your API key provided by FrankieOne

Example:

"245c765b124a098d09ef8765...."

X-Frankie-RequestID
string
required

GUID identifier for request

Example:

"82988375-1F9C-40C7-8543-ECCA0D94CC7C"

X-Frankie-CustomerID
string
required

Your Customer ID provided by FrankieOne

Example:

"12345678-1234-1234-1234-123456789012"

X-Frankie-CustomerChildID
string

Your Customer Child ID provided by FrankieOne

Example:

"87654321-4321-4321-4321-210987654321"

X-Frankie-Username
string

Username provided by API caller

Example:

"fred.flintstone@frankieone.com"

Body

application/json

Request body for downloading extracted PII files

jobId
string
required

The Extract PII job ID to download files from

password
string

Optional password to protect the ZIP file

Example:

"SecureP@ssw0rd123"

Response

ZIP file containing the extracted PII CSV files

ZIP file (optionally password-protected) containing CSV files